apiVersion: apps/v1
kind: Deployment
metadata:
  name: h5-deployment
  namespace: default
spec:
  minReadySeconds: 5
  revisionHistoryLimit: 2
  replicas: 1
  selector:
    matchLabels:
      app: h5
  template:
    metadata:
      labels:
        app: h5
    spec:
      containers:
        - name: h5
          image: REGISTRY/NAMESPACE/IMAGE:TAG
          volumeMounts:
            - name: log-of-nginx
              mountPath: /var/log/nginx
          resources:
            limits:
              memory: 256Mi
              cpu: 100m
          ports:
            - containerPort: 80
      volumes:
        - name: log-of-nginx
          hostPath:
            path: /var/log/nginx
